%define	name	blobwars
%define	oname	BlobWars
%define	version	1.05
%define	rel	2
%define	release	%mkrel %{rel}
%define	Summary	%{oname} Episode I : Metal Blob Solid 

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.parallelrealities.co.uk/blobWars.php
Source0:	%{name}-%{version}-1.src.tar.bz2
Source1:	%{name}-1.0-1.music.zip
Source2:	%{name}-1.04-data.tar.bz2
#Patch0:		blobwares-1.05-mdkconf.patch.bz2
Patch1:		%{name}-1.05-debian.patch
License:	GPL-like
Group:		Games/Arcade
Summary:	%{Summary}
BuildRequires:	SDL_mixer-devel SDL_image-devel SDL_ttf-devel zziplib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Since their world was invaded by an alien race, the Blobs have
faced a lifetime of war. But now they have a chance to win
the war once and for all.

In Episode I : Metal Blob Solid, you take on the role of a
fearless Blob agent, Bob. Bob's mission is to infiltrate the
various enemy bases around the Blobs' homeworld and rescue as many
POWs as possible. But standing in his way are many vicious enemies,
other Blobs who have defected and the evil alien leader, Galdov.

%prep
%setup -q -a1 -a2
#%patch0 -p1 -b .orig
%patch1 -p1

%build
%make OPTFLAGS="$RPM_OPT_FLAGS" DATADIR=%{_gamesdatadir}/%{name}/

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -m755 %{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
%{makeinstall_std} DATADIR=$RPM_BUILD_ROOT%{_gamesdatadir}/%{name}/
%{__rm} -rf $RPM_BUILD_ROOT%{_bindir}/%{name}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="%{oname}"\
		longtitle="%{Summary}"\
		xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,games,755)
%doc %{_docdir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*
%{_menudir}/%{name}
%defattr(755,root,games,755)
%{_gamesbindir}/%{name}

%changelog
* Sat Aug 18 2006 Emmanuel Andry <eandry@mandriva.org> 1.05-2mdv2007.0
- xdg menu
- drop patch0
- add patch1 from debian to fix gcc4.1 compilation

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.05-1mdk
- 1.05 (1.04 game data)
- regenerate P0
- %%mkrel

* Sat Apr 09 2005 Emmanuel Andry <eandry@free.fr> 1.03-1mdk
- 1.03

* Tue Jan 18 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.02-1mdk
- 1.02

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.01-1mdk
- 1.01

* Sat Dec 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99-1mdk
- 0.99
- regenerate P0

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.98-1mdk
- 0.98

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.97-1mdk
- 0.97
- added music
- fix path to docs (updated P0)

* Wed Oct 27 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.96-1mdk
- 0.96
- regenerate P0

* Mon Oct 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.94-1mdk
- 0.94
- update P0

* Wed Sep 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9-2mdk
- rebuild for new menu (fixes #11015)

* Wed Aug 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9-1mdk
- 0.9

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.52-2mdk
- rebuild

* Sat May 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.52-1mdk
- 0.52
- regenerate P0

* Fri May 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-2mdk
- rebuild against new zzlip

* Wed Feb 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5-1mdk
- 0.5
- fix buildrequires
- regenerate P0

* Mon Nov 17 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.4-1mdk
- 0.4

* Tue Oct 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3-1mdk
- 0.3
- regenerated P0 and adjusted spec for changes in 0.3
- this release actually works!

* Sat Sep 20 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2-1mdk
- 0.2

* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1.2-1mdk
- new release
- regenerate P0

* Sat Aug 02 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.1-1mdk
- initial mdk release
